Tenant API (KYC)Справочник API (OpenAPI)
KYB Audit
Операций: 1
Обновлено:
GET
ApiKeyAuthheader
Authorization<token>HMAC-SHA256 Credential=<key_id>, Signature=<hex_signature>. SignedHeaders=x-timestamp is optional. Requires X-Timestamp header.
page?integerPage (default 1)
page_size?integerPage size (1-100, default 50)
action?stringFilter by action
actorId?stringFilter by actor UUID
dateFrom?stringFrom (RFC3339)
dateTo?stringTo (RFC3339)
X-Timestamp*stringUnix timestamp (seconds, max 5 min drift)
Paged audit log items
*/*- response
data?array<>pagination?success?booleancurl -X GET 'https://api.onekyc.io/tenant/v1/kyb/audit' \ -H 'X-Timestamp: string'Example Response
{ "pagination": { "page": 0, "page_size": 0, "total_items": 0, "total_pages": 0 }, "success": true, "data": [ { "action": "string", "actor_email": "string", "actor_id": "string", "actor_type": "string", "created_at": "string", "details": { "changes": [ "string" ], "metadata": { "property1": null, "property2": null }, "new_value": { "property1": null, "property2": null }, "old_value": { "property1": null, "property2": null } }, "id": "string", "resource_id": "string", "resource_type": "string", "tenant_id": "string" } ]}